View Issue Details

IDProjectCategoryView StatusLast Update
0001114Main CAcert Websitewebsite contentpublic2013-03-21 07:40
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2012 Q4 
Fixed in Version2012 Q4 
Summary0001114: Change CAcert postal address to the current one on index/11.php
DescriptionCAcert Inc
PO Box 66
Oatley NSW 2223
Australia

Additional Information(00:20:01) iang: NEOatNHNG: I strongly advise the bug fix to remove the address entirely. It's pointless having it there and will cause more tailspinning when and if public officer advises of yet another change.

in the meeting there was suggested to move out the PO box snail mail address to the wiki
(00:17:39) iang: The address should be removed entirely. not corrected. If there is to be an address, it should be on the wiki.
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Activities

INOPIAE

2012-11-11 23:27

updater   ~0003325

Last edited: 2012-11-12 05:55

View 2 revisions

bug fixed, https://github.com/INOPIAE/CAcert/tree/bug-1114

INOPIAE

2012-11-11 23:40

updater   ~0003326

Address is deleted.

Uli60

2012-11-12 01:28

updater   ~0003327

effected pages
logged out: https://www.cacert.org/index.php?id=11
password logged in: https://www.cacert.org/account.php?id=40
cert logged in: https://secure.cacert.org/account.php?id=40

privacy policy: https://secure.cacert.org/policy/PrivacyPolicy.html
cap forms: https://secure.cacert.org/cap.php
TTP https://secure.cacert.org/wot.php?id=4

INOPIAE

2012-11-12 06:14

updater   ~0003328

I fixed the pages:
index/11.php address deleted
acount/40.php address deleted
PrivacyPolicy.html address changed
cap.php address changed
wot/4.php not changed as there is a major fix in bug 1111 where the address is deleted anyway.

fix merged to https://github.com/INOPIAE/CAcert/tree/bug-1114

iang

2012-11-12 06:20

developer   ~0003329

https://secure.cacert.org/policy/PrivacyPolicy.html update can be approved under Policy Officer minor changes decision http://wiki.cacert.org/PolicyDecisions#p20100306

INOPIAE

2012-11-13 21:47

updater   ~0003330

I checked the pages
index/11.php no address => OK
acount/40.php no address => OK
PrivacyPolicy.html address changed no address => OK
cap.php address changed no address => OK

Uli60

2012-11-13 22:06

updater   ~0003331

https://cacert1.it-sls.de/index.php?id=11
adress removed
links on page still works as before
=> ok

https://cacert1.it-sls.de/account.php?id=40
adress removed
links on page still works as before
=> ok

https://cacert1.it-sls.de/policy/PrivacyPolicy.html
shows
CAcert Inc.
PO Box 66 Oatley NSW 2223 Australia
         ^ ^
2 carriage return missing
=> fail

https://cacert1.it-sls.de/cap.php
new adress shown
=> ok

Uli60

2012-11-13 22:11

updater   ~0003332

potential other adress sources (similar to the class3 fingerprint change migration)
https://wiki.cacert.org/Roots/Class3ResignProcedure/FingerprintSources

FUZxxl

2012-11-13 22:52

reporter   ~0003335

Successfully reviewed. Couldn't review any sites from certicate-only login though.

INOPIAE

2012-11-13 23:48

updater   ~0003337

Tested twice needs review

Uli60

2012-11-13 23:49

updater   ~0003338

https://cacert1.it-sls.de/policy/PrivacyPolicy.html
now displays adress in several lines
=> ok

=> all ok now

Uli60

2012-11-13 23:51

updater   ~0003339

2 times tested
needs 2nd review and transfer to production

NEOatNHNG

2012-12-09 23:04

administrator   ~0003386

Reviewed. Sent to critical admins.

wytze

2012-12-11 14:40

developer   ~0003393

The patch has been installed on the production server on December 11, 2012. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2012-12/msg00001.html

Werner Dworak

2013-03-21 07:40

updater   ~0003839

More than 3 months solved

Issue History

Date Modified Username Field Change
2012-11-11 23:15 INOPIAE New Issue
2012-11-11 23:15 INOPIAE Assigned To => INOPIAE
2012-11-11 23:18 Uli60 Additional Information Updated View Revisions
2012-11-11 23:27 INOPIAE Note Added: 0003325
2012-11-11 23:27 INOPIAE Assigned To INOPIAE => BenBE
2012-11-11 23:27 INOPIAE Status new => fix available
2012-11-11 23:40 INOPIAE Note Added: 0003326
2012-11-11 23:40 INOPIAE Description Updated View Revisions
2012-11-12 01:28 Uli60 Note Added: 0003327
2012-11-12 01:28 Uli60 Status fix available => needs work
2012-11-12 01:28 Uli60 Additional Information Updated View Revisions
2012-11-12 01:32 Uli60 Additional Information Updated View Revisions
2012-11-12 05:55 INOPIAE Note Edited: 0003325 View Revisions
2012-11-12 06:14 INOPIAE Note Added: 0003328
2012-11-12 06:20 iang Note Added: 0003329
2012-11-13 21:35 BenBE Source_changeset_attached => cacert-devel testserver 421c853f
2012-11-13 21:35 INOPIAE Source_changeset_attached => cacert-devel testserver ca3ecaef
2012-11-13 21:35 INOPIAE Source_changeset_attached => cacert-devel testserver 9226dbf0
2012-11-13 21:42 BenBE Reviewed by => BenBE
2012-11-13 21:47 INOPIAE Note Added: 0003330
2012-11-13 22:06 Uli60 Note Added: 0003331
2012-11-13 22:10 BenBE Source_changeset_attached => cacert-devel testserver a6552c0a
2012-11-13 22:10 INOPIAE Source_changeset_attached => cacert-devel testserver c1fed4ce
2012-11-13 22:10 INOPIAE Source_changeset_attached => cacert-devel testserver ea3255b7
2012-11-13 22:11 Uli60 Note Added: 0003332
2012-11-13 22:52 FUZxxl Note Added: 0003335
2012-11-13 23:48 INOPIAE Note Added: 0003337
2012-11-13 23:48 INOPIAE Assigned To BenBE => NEOatNHNG
2012-11-13 23:48 INOPIAE Status needs work => needs review & testing
2012-11-13 23:49 Uli60 Note Added: 0003338
2012-11-13 23:50 BenBE Status needs review & testing => needs review
2012-11-13 23:51 Uli60 Note Added: 0003339
2012-12-09 23:04 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2012-12-09 23:04 NEOatNHNG Note Added: 0003386
2012-12-09 23:04 NEOatNHNG Status needs review => ready to deploy
2012-12-10 00:35 NEOatNHNG Source_changeset_attached => cacert-devel release ee8f25df
2012-12-11 14:40 wytze Note Added: 0003393
2012-12-11 14:40 wytze Status ready to deploy => solved?
2012-12-11 14:40 wytze Resolution open => fixed
2013-01-13 08:23 INOPIAE Fixed in Version => 2012 Q4
2013-03-21 07:40 Werner Dworak Note Added: 0003839
2013-03-21 07:40 Werner Dworak Status solved? => closed
2013-03-21 07:40 Werner Dworak Product Version => 2012 Q4